<?php
include_once("auth.php");
include_once "db/dbElemento.class.php";
include_once "base/ficheiro.class.php";
include_once("include/css.inc.php");

$file = $_SERVER['PHP_SELF'] ."?popup=" . $_REQUEST['popup'].
		"&CKEditor=".$_REQUEST['CKEditor']."&CKEditorFuncNum=".$_REQUEST['CKEditorFuncNum']."&langCode=".$_REQUEST['langCode'];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//PT">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Ficheiros</title>
	<link rel="STYLESHEET" type="text/css" class="cssfile">
	<!--[if IE]><link class="cssfile_ie" rel="STYLESHEET" type="text/css" ><![endif]-->
	<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
<script>
var file="<?= $file ?>";

function escolhe(url){
	window.opener.CKEDITOR.tools.callFunction(<?=$_REQUEST['CKEditorFuncNum']?>, '../' + url);
	self.close();
}

$(document).ready(function(){

	cssfile = "css/" + "<?=$css?>" + ".css";
	cssfile_ie = "css/" + "<?=$css?>" + "_ie.css";
	$(".cssfile").attr("href", cssfile);
	$(".cssfile_ie").attr("href", cssfile_ie);

	var offset = "<?=$_REQUEST['offset'] ?>";
	var extra = "&CKEditor=<?=$_REQUEST['CKEditor'] ?>&CKEditorFuncNum=<?=$_REQUEST['CKEditorFuncNum']?>&langCode=<?=$_REQUEST['langCode']?>";
	var idCat = "<?=$_REQUEST['idCat'] ?>";

	$(".selectMedia").change(function(){
		var id = $(this).attr("id");
		idCat =  $("#"+ id +" :selected").val();
		document.location.href = file + "&idCat="+ idCat + "&offset=" + offset+ extra ;		
	}); 
	
	
	$("#navselect").change(function () {
		offset = $('#navselect option:selected').val();
		extra = $("#navextra").val();	
		document.location.href=file + "&offset=" + offset + "&idCat" + idCat + extra;
	});

	$(".navidcat").change(function(){
		idCat =  $(".navidcat :selected").val();
		document.location.href = file + "&idCat="+ idCat + "&offset=" + offset + extra ;	
	});
	
});
</script>
</head>

<body >
<form enctype="multipart/form-data" name="dataform" id="dataform" action="<?=$file?>" method="POST">
<?
class ficheiroPopup extends ficheiro{
	
	function ficheiroPopup(){
		$this->popup = 1;
		$this->req=$_REQUEST;
		$this->req['limit']=20;
		
		$this->idCat=$this->req['idCat'];
		$this->tipo="ficheiro";
		
		if ($this->req['cmd']=="Novo"){ $this->novo();}
		else if ($this->req['cmd']=="Guardar"){ $this->guardar();}
		else $this->listar();
	}
	
	function guardar($id){
		$db= new dbElemento;
		$id_novo = parent::guardar($id);
		$linha = $db->getLinha($this->tipo, $id_novo);
		$file = "netimages/file/".$linha['ficheiro']; //novo
		?>
		<script type="text/javascript">
			escolhe("<?=$file ?>", "<?=$linha['titulo'] ?>");
		</script>	
		<?
	}
	
	
	
	function listar(){
	
		$db= new dbElemento;
		
		/*if (!$this->req['idCat']){
			$temp=$db->get("select min(id) as IDCAT from ficheiroCategoria");
			$this->req['idCat']=$temp[0]['IDCAT'];
			$this->idCat=$this->req['idCat'];
		}*/

		$campos=array("Nº"=>"id","Ficheiro"=>"ficheiro","Titulo"=>"titulo","Palavras"=>"palavras");

        $dados=$db->getLista("ficheiro", $this->idCat, $campos , "ficheiro", $this->req['ordem'] ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal("ficheiro", $this->idCat, $this->req['procurar'], $this->req['filtro']);

        $extra = "&popup=" . $_REQUEST['popup']. "&idCat=".$this->req['idCat']. 
        		 "&CKEditor=".$_REQUEST['CKEditor']."&CKEditorFuncNum=".$_REQUEST['CKEditorFuncNum']."&langCode=".$_REQUEST['langCode'];
        
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total'],$extra);
		$toolbar->ini();
		$toolbar->categoria("ficheiro", "categoria", $this->idCat, true);
		$toolbar->procurar($this->req['procurar']);   
		$toolbar->botao("procurar", 90);
		$toolbar->fim();
		
		$this->dados=$dados;
		$this->tabela();
	}
	

	function tabela(){
            $max= sizeof($this->dados);
			$i=0;
			?><table><?
			if ($this->dados)
			foreach($this->dados as $t){
                $linha=($i % 4)?"1":"0";
                if (($i % 2)==0) echo '<tr class="linha' . $linha . '">';
				echo "<td>";
				$this->imageTable($t);	
				if (($i % 2)==1)  echo "</td></tr>\n"; else   echo  "</td>";     
				$i++;
    		} 
			else echo "<br>Não tem registos nesta categoria.";
			?></table><?

    }
	
	
	function desc($label, $value, $link){
	?><table width="220" border="0">
      <tr>
        <td width="70" class="miniLabel"><?=$label?>:</td>
        <td width="150"><?=$link?><?=$value?></a></td>
      </tr>
    </table>    
	<? }
	
	
	function imageTable($t){
		$db= new dbElemento;
		$temp=$db->getLinha("ficheiroCategoria", $t['idCat']);
		$ori_image="../netimages/file/" . $t["ficheiro"];
		
		$prepath="../";
		if (strstr($ori_image,$prepath)) {$ori_image=substr($ori_image,strlen($prepath));}
		
		$linkId="javascript:escolhe('" . $ori_image ."' , '" . $t["titulo"] ."' )";
		$linkEditar='<a href="'. $linkId . '">';
			
		?><table width="320" border="0" cellpadding="0" cellspacing="0" class="miniTable">
		  <tr><td>&nbsp;</td></tr>
		  <tr>
			<td width="100" height="100" align="center" valign="middle">
			<?=$linkEditar?><?=$ori_image?></a></td>
			<td width="220"><? 
					$this->desc("Titulo", $t["titulo"], $linkEditar);
					$this->desc("Palavras", $t["palavras"], $linkEditar);
					$this->desc("Nome", $t["ficheiro"], $linkEditar);
					if (!$this->idCat)$this->desc("Categoria", $temp["categoria"], $linkEditar);
				
			?></td>
		  </tr> 
		</table>   
	<? }
}

$a=new ficheiroPopup;
?>
</form>
</body>
